package com.jzq.cinbac.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jzq.cinbac.common.R;
import com.jzq.cinbac.entity.CinModule;
import com.jzq.cinbac.entity.CinPoint;
import com.jzq.cinbac.entity.vo.ModuleQuery;
import com.jzq.cinbac.entity.vo.PointQuery;
import com.jzq.cinbac.service.CinPointService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jzq
 * @since 2022-06-18
 */
@RestController
@RequestMapping("/cinbac/cin-point")
@CrossOrigin
public class CinPointController {
    @Autowired
    private CinPointService cinPointService;

    @PostMapping("getPointInfoList")
    public R getModuleInfoList(@RequestBody(required = false) PointQuery pointQuery){
        System.out.println(pointQuery);
        Page<CinPoint> pointPage =new Page<>(pointQuery.getPage(),pointQuery.getLimit());

        QueryWrapper<CinModule> wrapper =new QueryWrapper<>();
        cinPointService.page(pointPage,null);

        long total = pointPage.getTotal();
        List<CinPoint> cinPointList =pointPage.getRecords();

        return R.ok().data("total",total).data("pointList",cinPointList);
    }
}

