package com.jzq.cinpre.controller;


import com.jzq.cinpre.common.R;
import com.jzq.cinpre.entity.CinModule;
import com.jzq.cinpre.service.CinAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jzq
 * @since 2022-06-15
 */
@RestController
@RequestMapping("/cinpre/cin-area")
@CrossOrigin
public class CinAreaController {
    @Autowired
    private CinAreaService cinAreaService;

    @GetMapping("getModuleByArea/{id}")
    public R getModuleByArea(@PathVariable("id") Integer id){
        List<CinModule> list = cinAreaService.getModuleByArea(id);

        return R.ok().data("moduleList",list);
    }


}

