package com.jzq.cinpre.controller;


import com.jzq.cinpre.common.R;
import com.jzq.cinpre.entity.CinModule;
import com.jzq.cinpre.service.CinBuildingService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jzq
 * @since 2022-06-15
 */
@RestController
@RequestMapping("/cinpre/cin-building")
public class CinBuildingController {

    @Autowired
    private CinBuildingService cinBuildingService;

    @GetMapping("getModuleByBuilding/{id}")
    public R getModuleByBuilding(@PathVariable("id") Integer id){
        List<CinModule> list = cinBuildingService.getModuleByBuilding(id);

        return R.ok().data("moduleList",list);
    }

}

