package com.jzq.cinpre.controller;


import com.jzq.cinpre.common.R;
import com.jzq.cinpre.entity.CinLine;
import com.jzq.cinpre.entity.CinPoint;
import com.jzq.cinpre.service.CinLineService;
import com.jzq.cinpre.service.CinPointService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jzq
 * @since 2022-06-15
 */
@RestController
@RequestMapping("/cinpre/cin-line")
@CrossOrigin
public class CinLineController {

    @Autowired
    private CinLineService cinLineService;
    @Autowired
    private CinPointService cinPointService;

    @GetMapping("getline")
    private R getline(){
        List<CinLine> list = cinLineService.list(null);
        List<List<CinPoint>> pointlist = new ArrayList<>();
        List<CinPoint> temp = new ArrayList<>();

        for(CinLine line:list){
            CinPoint cinPoint1 = cinPointService.getById(line.getPId());
            CinPoint cinPoint2 = cinPointService.getById(line.getPpId());
            temp.add(cinPoint1);
            temp.add(cinPoint2);
            pointlist.add(temp);
            temp = new ArrayList<>();
        }
        return R.ok().data("line",pointlist);
    }

}

