package com.jzq.cinpre.entity;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jzq
 * @since 2022-06-15
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value="CinPoint对象", description="")
public class CinPoint implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    private Double longitude;

    private Double latitude;

    private Double height;

    private String name;

    private Integer visibility;

    private String des;

    private String buildingId;

    private Integer floor;

    private Integer pPartition;

    @ApiModelProperty(value = "1:电梯，2:楼梯，3:扶梯，4:房间，5:走廊虚拟房间")
    private Integer type;

    @ApiModelProperty(value = "0:不是连接点，1:上下连接点，2:上连接点，3:下连接点，4:水平连接点")
    private Integer connection;


    @TableField(fill = FieldFill.INSERT)
    private Date gmtCreated;

    @TableField(fill = FieldFill.INSERT_UPDATE)
    private Date gmtModified;


}
