package com.jzq.cinbac.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jzq.cinbac.common.R;
import com.jzq.cinbac.entity.CinArea;
import com.jzq.cinbac.entity.CinLine;
import com.jzq.cinbac.entity.CinModule;
import com.jzq.cinbac.entity.vo.AreaQuery;
import com.jzq.cinbac.entity.vo.LineQuery;
import com.jzq.cinbac.service.CinAreaService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jzq
 * @since 2022-06-18
 */
@RestController
@RequestMapping("/cinbac/cin-area")
@CrossOrigin
public class CinAreaController {

    @Autowired
    private CinAreaService cinAreaService;

    @PostMapping("getAreaInfoList")
    public R getModuleInfoList(@RequestBody(required = false) AreaQuery areaQuery){
//        System.out.println(lineQuery);
        Page<CinArea> areaPage =new Page<>(areaQuery.getPage(),areaQuery.getLimit());

        QueryWrapper<CinModule> wrapper =new QueryWrapper<>();
        cinAreaService.page(areaPage,null);

        long total = areaPage.getTotal();
        List<CinArea> cinAreaList =areaPage.getRecords();

        return R.ok().data("total",total).data("areaList",cinAreaList);
    }

}

