package com.jzq.cinbac.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jzq.cinbac.common.R;
import com.jzq.cinbac.entity.CinLine;
import com.jzq.cinbac.entity.CinModule;
import com.jzq.cinbac.entity.vo.LineQuery;
import com.jzq.cinbac.entity.vo.ModuleQuery;
import com.jzq.cinbac.service.CinLineService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jzq
 * @since 2022-06-18
 */
@RestController
@RequestMapping("/cinbac/cin-line")
@CrossOrigin
public class CinLineController {
    @Autowired
    private CinLineService cinLineService;

    @PostMapping("getLineInfoList")
    public R getModuleInfoList(@RequestBody(required = false) LineQuery lineQuery){
//        System.out.println(lineQuery);
        Page<CinLine> linePage =new Page<>(lineQuery.getPage(),lineQuery.getLimit());

        QueryWrapper<CinModule> wrapper =new QueryWrapper<>();
        cinLineService.page(linePage,null);

        long total = linePage.getTotal();
        List<CinLine> cinLineList =linePage.getRecords();

        return R.ok().data("total",total).data("lineList",cinLineList);
    }
}

