package com.jzq.cinbac.controller;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.jzq.cinbac.common.R;
import com.jzq.cinbac.entity.CinModule;
import com.jzq.cinbac.entity.vo.ModuleQuery;
import com.jzq.cinbac.service.CinModuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jzq
 * @since 2022-06-18
 */
@RestController
@RequestMapping("/cinbac/cin-module")
@CrossOrigin
public class CinModuleController {
    @Autowired
    private CinModuleService cinModuleService;

    @PostMapping("getModuleInfoList")
    public R getModuleInfoList(@RequestBody(required = false) ModuleQuery moduleQuery){
//        System.out.println(moduleQuery);
        Page<CinModule> pageModule =new Page<>(moduleQuery.getPage(),moduleQuery.getLimit());

        QueryWrapper<CinModule> wrapper =new QueryWrapper<>();
        cinModuleService.page(pageModule,null);

        long total = pageModule.getTotal();
        List<CinModule> cinModules =pageModule.getRecords();

        return R.ok().data("total",total).data("moduleList",cinModules);
    }
}

