package com.jzq.cinpre.controller;


import com.jzq.cinpre.common.R;
import com.jzq.cinpre.entity.CinAreaModule;
import com.jzq.cinpre.service.CinAreaModuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jzq
 * @since 2022-06-22
 */
@RestController
@RequestMapping("/cinpre/cin-area-module")
@CrossOrigin
public class CinAreaModuleController {

    @Autowired
    private CinAreaModuleService cinAreaModuleService;

    @GetMapping("getAreaModuleById/{id}")
    public R getAreaModuleById(@PathVariable("id") Integer id){
        CinAreaModule cinAreaModule = cinAreaModuleService.getById(id);
//        System.out.println(cinAreaModule);
        return R.ok().data("areaModule",cinAreaModule);
    }

}

