package com.jzq.cinpre.controller;


import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.jzq.cinpre.common.R;
import com.jzq.cinpre.entity.CinModule;
import com.jzq.cinpre.service.CinModuleService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.List;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author jzq
 * @since 2022-06-15
 */
@RestController
@RequestMapping("/cinpre/cin-module")
@CrossOrigin
public class CinModuleController {

    @Autowired
    private CinModuleService cinModuleService;

    @GetMapping("getModuleByBuildingId/{id}")
    public R getModuleByBuildingId(@PathVariable("id") Integer id){
        QueryWrapper<CinModule> queryWrapper = new QueryWrapper<>();
        queryWrapper.eq("building_id",id);
        List<CinModule> list = cinModuleService.list(queryWrapper);
        return R.ok().data("moduleList",list);
    }

}

